Package org.eclipse.net4j.util.io

# Class ExpectedFileInputStream

java.lang.Object
java.io.InputStream
java.io.FileInputStream
org.eclipse.net4j.util.io.ExpectedFileInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ExpectedFileInputStream extends FileInputStream

Since:
  3.1
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ExpectedFileInputStream(File file, long expectedSize)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getTimeout()`
`int`
`read()`
`int`
`read(byte[] b)`
`int`
`read(byte[] b, int off, int len)`
`void`
`setTimeout(long timeout)`
`long`
`skip(long n)`

### Methods inherited from class java.io.FileInputStream

`available, close, getChannel, getFD, readAllBytes, readNBytes, transferTo`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, readNBytes, reset, skipNBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectedFileInputStream

public ExpectedFileInputStream(File file, long expectedSize) throws FileNotFoundException

Throws:
  `FileNotFoundException`

## Method Details

### getTimeout

public long getTimeout()

### setTimeout

public void setTimeout(long timeout)

### skip

public long skip(long n) throws IOException

Overrides:
  `skip` in class `FileInputStream`
Throws:
  `IOException`

### read

public int read() throws IOException

Overrides:
  `read` in class `FileInputStream`
Throws:
  `IOException`

### read

public int read(byte[] b, int off, int len) throws IOException

Overrides:
  `read` in class `FileInputStream`
Throws:
  `IOException`

### read

public int read(byte[] b) throws IOException

Overrides:
  `read` in class `FileInputStream`
Throws:
  `IOException`